import { Plugin } from '@nuxt/types';
export interface GraphqlMiddlewarePluginConfig {
    enabled?: boolean;
    cacheInBrowser?: boolean;
    cacheInServer?: boolean;
}
export declare class GraphqlMiddlewarePlugin {
    baseURL: string;
    headers: any;
    cache?: Map<string, any>;
    constructor(baseURL: string, headers: any, useCache: boolean);
    query(name: string, variables?: any): Promise<any>;
    mutate(name: string, variables?: any): Promise<any>;
}
declare const graphqlMiddlewarePlugin: Plugin;
export default graphqlMiddlewarePlugin;
//# sourceMappingURL=index.d.ts.map